Subject: Re: rs232 endianness on PPC

From: White <[email-masked]>
Date: Sat, 1 Jul 2006 10:53:37 +0200

PowerPC is only Byte swaped, not bit-swaped :)
(I thought there are only some old mainly unused Architecturs, who swap
the Bits :)

The second: I think the bitorder on the rs232 is standarized :) and
should be the same ... :)

Am Fri, 30 Jun 2006 21:10:31 +0200 (CEST) schrieb "[email-masked]"
<[email-masked]> :

> Hi,
> 
> when I write a byte on the SMC1 (MPC875) serial device (let us say 
> 0x11) what should I expect on the output pin? First a 0 then 0, 0, 1, 
> 0, 0, 0, 1 or the opposite. Is it different on a little endian CPU?
> 
> Bye,
> Antonio.
> 
> 
> 
> 
> 		
> Hai voglia di fare un viaggio, ma non sai dove andare?
> Scegli una delle nostre offerte HOTEL IN ITALIA E IN EUROPA da 50 euro.
> Prenota subito su Expedia.it e... buona vacanza!
> 
> http://expedia.viaggi.tiscali.it/default.aspx?eapid=330-8 
>  
> 	
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>